Package com.sleepycat.bind.tuple

## Interface MarshalledTupleEntry

-     public interface MarshalledTupleEntry

  A marshalling interface implemented by key, data or entity classes that are represented as tuples.

  Key classes implement this interface to marshal their key entry. Data or entity classes implement this interface to marshal their data entry. Implementations of this interface must have a public no arguments constructor so that they can be instantiated by a binding, prior to calling the `unmarshalEntry(com.sleepycat.bind.tuple.TupleInput)` method.

  Note that implementing this interface is not necessary when the object is a Java simple type, for example: String, Integer, etc. These types can be used with built-in bindings returned by `TupleBinding.getPrimitiveBinding(java.lang.Class<T>)`.

  See Also:
    `TupleTupleMarshalledBinding`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `marshalEntry​(TupleOutput dataOutput)` | Construct the key or data tuple entry from the key or data object.
    `void` | `unmarshalEntry​(TupleInput dataInput)` | Construct the key or data object from the key or data tuple entry.

- - ### Method Detail

    - #### marshalEntry

          void marshalEntry​(TupleOutput dataOutput)

      Construct the key or data tuple entry from the key or data object.
      Parameters:
        `dataOutput` - is the output tuple.

    - #### unmarshalEntry

          void unmarshalEntry​(TupleInput dataInput)

      Construct the key or data object from the key or data tuple entry.
      Parameters:
        `dataInput` - is the input tuple.

Copyright (c) 1996, 2020 Oracle and/or its affiliates. All rights reserved.